petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNASMSetComputeFinalJacobian

Schedules the computation of the global and subdomain jacobians upon convergence

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetComputeFinalJacobian(SNES snes,PetscBool flg)

Collective on SNES Many br

### Input Parameters

| SNES | - the SNES context Many br
| flg | - indication of whether to compute the jacobians or not Many br

Many br

Notes: This is used almost exclusively in the implementation of ASPIN, where the converged subdomain and global jacobian Many bris needed at each linear iteration. Many br

### Keywords

SNES, NASM, ASPIN

### See Also

SNESNASM, SNESNASMGetSubdomains()

Level:developer
Location:src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages